# Coveo ResultList Component (CoveoResultList)

## Index

### Methods

- buildResult
- buildResults
- debugInfo
- disable
- displayMoreResults
- enable
- getAutoSelectedFieldsToInclude
- getBindings
- getDisplayedResults
- getDisplayedResultsElements
- renderResults
- get

### Properties

- bind
- componentOptionsModel
- componentStateModel
- disabled
- logger
- queryController
- queryStateModel
- root
- searchInterface
- ID

### Accessors

- usageAnalytics

### Component Options

- autoSelectFieldsToInclude
- enableInfiniteScroll
- enableInfiniteScrollWaitingAnimation
- enableScrollToTop
- fieldsToInclude
- infiniteScrollContainer
- infiniteScrollPageSize
- layout
- resultsContainer
- waitAnimation
- waitAnimationContainer

### Constructors

- constructor

## Methods

### buildResult

- buildResult(result: IQueryResult): Promise<HTMLElement>

- - Defined in ui/ResultList/ResultList.ts :435

  #### Parameters

  - ##### result: IQueryResult

  #### Returns Promise<HTMLElement>

### buildResults

- buildResults(results: IQueryResults): Promise<HTMLElement[]>

- - Defined in ui/ResultList/ResultList.ts :425

  #### Parameters

  - ##### results: IQueryResults

  #### Returns Promise<HTMLElement[]>

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### displayMoreResults

- displayMoreResults(count: number): Promise<IQueryResults>

- - Defined in ui/ResultList/ResultList.ts :449

  #### Parameters

  - ##### count: number

  #### Returns Promise<IQueryResults>

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### getAutoSelectedFieldsToInclude

- getAutoSelectedFieldsToInclude(): string[]

- - Defined in ui/ResultList/ResultList.ts :374

  #### Returns string[]

### getBindings

- getBindings(): IComponentBindings

- Inherited from Component.getBindings

  - Defined in ui/Base/Component.ts :328

  #### Returns IComponentBindings

### getDisplayedResults

- getDisplayedResults(): IQueryResult[]

- - Defined in ui/ResultList/ResultList.ts :481

  #### Returns IQueryResult[]

### getDisplayedResultsElements

- getDisplayedResultsElements(): HTMLElement[]

- - Defined in ui/ResultList/ResultList.ts :489

  #### Returns HTMLElement[]

### renderResults

- renderResults(resultElements: HTMLElement[], append?: boolean): Promise<void>

- - Defined in ui/ResultList/ResultList.ts :411

  #### Parameters

  - ##### resultElements: HTMLElement[]

  - ##### Default value append: boolean = false

  #### Returns Promise<void>

### Static get

- get(element: HTMLElement, componentClass?: any, noThrow?: boolean): BaseComponent

- Inherited from Component.get

  - Defined in ui/Base/Component.ts :410

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional componentClass: any

  - ##### Optional noThrow: boolean

  #### Returns BaseComponent

## Properties

### bind

bind: ComponentEvents

Inherited from Component.bind

- Defined in ui/Base/Component.ts :270

### componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from Component.componentOptionsModel

- Defined in ui/Base/Component.ts :294

### componentStateModel

componentStateModel: ComponentStateModel

Inherited from Component.componentStateModel

- Defined in ui/Base/Component.ts :282

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### queryController

queryController: QueryController

Inherited from Component.queryController

- Defined in ui/Base/Component.ts :286

### queryStateModel

queryStateModel: QueryStateModel

Inherited from Component.queryStateModel

- Defined in ui/Base/Component.ts :278

### root

root: HTMLElement

Inherited from Component.root

- Defined in ui/Base/Component.ts :274

### searchInterface

searchInterface: SearchInterface

Inherited from Component.searchInterface

- Defined in ui/Base/Component.ts :290

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Accessors

### usageAnalytics

usageAnalytics:

Inherited from Component.usageAnalytics

- Defined in ui/Base/Component.ts :343

## Component Options

### autoSelectFieldsToInclude

autoSelectFieldsToInclude: boolean

- Defined in ui/ResultList/ResultList.ts :221

Markup configuration example(s) :

    data-auto-select-fields-to-include='true'
    data-auto-select-fields-to-include='false'

### enableInfiniteScroll

enableInfiniteScroll: boolean

- Defined in ui/ResultList/ResultList.ts :159

Markup configuration example(s) :

    data-enable-infinite-scroll='true'
    data-enable-infinite-scroll='false'

### enableInfiniteScrollWaitingAnimation

enableInfiniteScrollWaitingAnimation: boolean

- Defined in ui/ResultList/ResultList.ts :201

Markup configuration example(s) :

    data-enable-infinite-scroll-waiting-animation='true'
    data-enable-infinite-scroll-waiting-animation='false'

### enableScrollToTop

enableScrollToTop: boolean

- Defined in ui/ResultList/ResultList.ts :263

Markup configuration example(s) :

    data-enable-scroll-to-top='true'
    data-enable-scroll-to-top='false'

### fieldsToInclude

fieldsToInclude: IFieldOption[]

- Defined in ui/ResultList/ResultList.ts :234

### infiniteScrollContainer

infiniteScrollContainer: HTMLElement

- Defined in ui/ResultList/ResultList.ts :192

### infiniteScrollPageSize

infiniteScrollPageSize: number

- Defined in ui/ResultList/ResultList.ts :167

Markup configuration example(s) :

    data-infinite-scroll-page-size='5'

### layout

layout: "list" | "card" | "table"

- Defined in ui/ResultList/ResultList.ts :249

Markup configuration example(s) :

    data-layout='card'

### resultsContainer

resultsContainer: HTMLElement

- Defined in ui/ResultList/ResultList.ts :118

### waitAnimation

waitAnimation: "fade" | "spinner" | "none"

- Defined in ui/ResultList/ResultList.ts :133

Markup configuration example(s) :

    data-wait-animation='spinner'

### waitAnimationContainer

waitAnimationContainer: HTMLElement

- Defined in ui/ResultList/ResultList.ts :143

## Constructors

### constructor

- new ResultList(element: HTMLElement, options?: IResultListOptions, bindings?: IComponentBindings, elementClassId?: string): ResultList

- Overwrites Component.constructor

  - Defined in ui/ResultList/ResultList.ts :283

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional options: IResultListOptions

  - ##### Optional bindings: IComponentBindings

  - ##### Default value elementClassId: string = ResultList.ID

  #### Returns ResultList